## lilypond-0.1.31.tar.gz

=== debian/Makefile ===
depth = ..

NAME= debian

# generic variables:
#
include ./$(depth)/make/Variables.make
include ./$(depth)/make/Files.make 
#

# generic targets and rules:
#
include ./$(depth)/make/Targets.make
include ./$(depth)/make/Rules.make
#


EXTRA_DISTFILES = README.debian changelog control copyright examples\
	info.ex menu.ex postinst postinst.old.sh postrm preinst rules watch

=== debian/changelog ===
lilypond (0.1.29-1) unstable; urgency=low

  * New upstream release
  * Patched ./configure in source package to make c++ use the -O2 -g options
    on all the files.  Now, /usr/bin/lilypond is a lot leaner!  <smile>
    (I will discuss it with the upstream author.)
  * Adapted postinst (a Perl script) from the musixtex package for lilypond.
    Now postinst adds the new LilyPond font entries into
    /usr/lib/texmf/fontname/special.map.
  * Added preinst to clean up my mess from previous releases: the old
    "stray" automatically generated TFM and PK font files were placed in
    the wrong directories because they were not listed in
    /usr/lib/texmf/fontname/special.map.
  * Did some minor clean-up in debian/rules.
  * Updated Standards-Version to 2.3.0.1

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Tue, 11 Nov 1997 02:31:33 -0700

lilypond (0.1.25-1) unstable; urgency=low

  * Added a note in README.debian about the possibility of some LilyPond
    fonts not showing up after an upgrade, and a possible solution to this
    problem.
  * New upstream release

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Thu, 23 Oct 1997 17:00:14 -0600

lilypond (0.1.24-1) unstable; urgency=low

  * New upstream release

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Tue, 21 Oct 1997 04:12:01 -0600

lilypond (0.1.23-1) unstable; urgency=low

  * New upstream release

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Thu, 16 Oct 1997 02:15:55 -0600

lilypond (0.1.22-1) unstable; urgency=low

  * New upstream release

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Mon, 13 Oct 1997 23:51:01 -0600

lilypond (0.1.21-1) unstable; urgency=low

  * New upstream release

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Thu,  9 Oct 1997 22:58:26 -0600

lilypond (0.1.18.jcn1-1) unstable; urgency=low

  * New upstream release

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Sat,  4 Oct 1997 03:48:45 -0600

lilypond (0.1.17-1) unstable; urgency=low

  * New upstream release
  * Remove redundancy in package's description (Fixed bug #12511)
  * Added a note about the new LilyPond MF fonts which are not yet listed
    in the current standard special.map (in the teTeX package)
  * Added SHELL=/bin/bash to debian/rules because I use bashism. <smile>

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Sun, 28 Sep 1997 01:41:15 -0600

lilypond (0.1.12-1) unstable; urgency=low

  * New upstream release
  * Updated the mailing address of the Free Software Foundation
    listed in /usr/doc/lilypond/copyright
  * Updated Standards-Version to 2.3.0.0
  * Built with debmake 3.3.14 and fakeroot 0.0-9 <grin>

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Sun,  7 Sep 1997 23:00:53 -0600

lilypond (0.1.9-1) unstable; urgency=low

  * New upstream release

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Mon, 18 Aug 1997 15:14:24 -0600

lilypond (0.1.7-1) unstable; urgency=low

  * New upstream release

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Thu, 14 Aug 1997 15:18:40 -0600

lilypond (0.1.6-1) unstable; urgency=low

  * New upstream release

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Thu, 14 Aug 1997 05:14:06 -0600

lilypond (0.1.3-1) unstable; urgency=low

  * New upstream release

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Sat,  9 Aug 1997 14:15:11 -0600

lilypond (0.1.2-1) unstable; urgency=low

  * New upstream release

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Thu,  7 Aug 1997 22:54:20 -0600

lilypond (0.1.0-1) unstable; urgency=low

  * Initial Release.

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Wed,  6 Aug 1997 04:40:57 -0600

Local variables:
mode: debian-changelog
add-log-mailing-address: "foka@gpu.srv.ualberta.ca"
End:

=== debian/control ===
Source: lilypond
Section: contrib/tex
Priority: optional
Maintainer: Anthony Fok <foka@gpu.srv.ualberta.ca>
Standards-Version: 2.3.0.1

Package: lilypond
Architecture: any
Depends: ${shlibs:Depends}
Recommends: tetex-base, musixtex | musixtex-fonts
Description: A music typesetting program.
 GNU LilyPond is a program which converts a music-script (mudela) into TeX
 output, or MIDI to produce multi-staff scores. Features include multiple
 meters, clefs, keys, lyrics, versatile input-language, cadenzas beams,
 slurs, triplets, multiple voices.
 .
 Note: LilyPond uses the fonts from MusiXTeX.  Please install the package
       musixtex or musixtex-fonts when you install lilypond.
 .
  URL: http://www.stack.nl/~hanwen/lilypond/
  Authors: Han-Wen Nienhuys <hanwen@stack.nl>
           Jan Nieuwenhuizen <jan@digicash.com>

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debhelper by by Joey Hess,
# based on the sample debian/rules file for GNU hello by Ian Jackson.
#
# This is free software; see the GNU General Public Licence
# version 2 or later for copying conditions.  There is NO warranty.
#
# Currently maintained by Anthony Fok <foka@gpu.srv.ualberta.ca>
# for Debian GNU/Linux.

package=lilypond

SHELL=/bin/bash

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	./configure --disable-checking --disable-debugging \
		--enable-printing --prefix=/usr --enable-optimise \
		--enable-shared
	make all
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean
	-$(MAKE) distclean
	rm -f {,*/}out/{*,.build} flower/config.{log,status}

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs usr/lib/texmf/doc
	$(MAKE) prefix=`pwd`/debian/tmp/usr install
	ln -fs ../../../doc/lilypond debian/tmp/usr/lib/texmf/doc/lilypond
	dh_installdocs BUGS TODO NEWS DEDICATION ANNOUNCE README \
		Documentation/out/*.text Documentation/*.doc \
		Documentation/lelie_logo.xpm
	dh_installexamples
#	dh_installmenu
#	dh_installcron
#	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdebfiles
#	dh_makeshlibs
	dh_du
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
